# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.legacy_plugins_api import LegacyPluginsApi


class TestLegacyPluginsApi(unittest.IsolatedAsyncioTestCase):
    """LegacyPluginsApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = LegacyPluginsApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_create_plugin_api_v1_legacy_plugins_post(self) -> None:
        """Test case for create_plugin_api_v1_legacy_plugins_post

        Create Plugin
        """
        pass

    async def test_delete_plugin_api_v1_legacy_plugins_id_delete(self) -> None:
        """Test case for delete_plugin_api_v1_legacy_plugins_id_delete

        Delete Plugin
        """
        pass

    async def test_get_plugin_api_v1_legacy_plugins_id_get(self) -> None:
        """Test case for get_plugin_api_v1_legacy_plugins_id_get

        Get Plugin
        """
        pass

    async def test_get_plugin_blueprints_api_v1_legacy_plugins_data_source_blueprints_get(self) -> None:
        """Test case for get_plugin_blueprints_api_v1_legacy_plugins_data_source_blueprints_get

        Get Plugin Blueprints
        """
        pass

    async def test_get_plugin_token_api_v1_legacy_plugins_id_token_get(self) -> None:
        """Test case for get_plugin_token_api_v1_legacy_plugins_id_token_get

        Get Plugin Token
        """
        pass

    async def test_get_plugins_api_v1_legacy_plugins_get(self) -> None:
        """Test case for get_plugins_api_v1_legacy_plugins_get

        Get Plugins
        """
        pass

    async def test_update_plugin_api_v1_legacy_plugins_id_put(self) -> None:
        """Test case for update_plugin_api_v1_legacy_plugins_id_put

        Update Plugin
        """
        pass

    async def test_update_plugin_files_to_check_api_v1_legacy_plugins_id_files_to_check_put(self) -> None:
        """Test case for update_plugin_files_to_check_api_v1_legacy_plugins_id_files_to_check_put

        Update Plugin Files To Check
        """
        pass

    async def test_validate_query_plugin_api_v1_legacy_plugins_id_validate_query_post(self) -> None:
        """Test case for validate_query_plugin_api_v1_legacy_plugins_id_validate_query_post

        Validate Query Plugin
        """
        pass


if __name__ == '__main__':
    unittest.main()
